.marginTop100{
    margin-top:60px;
}


  

  #rightDialog{
    position: fixed;
    top:0px; 
    right:0px;
    width:400px !important;
    background-color: white; 
    z-index:9999;
    height:calc(100%);
    border-left:1px solid grey;
  }

  #leftDialog{
    position: fixed;
    top:0px; 
    left:0px;
    width:400px !important;
    background-color: white; 
    z-index:99999;   
    height:calc(100%);
    border-right:1px solid grey;
  }
  
 
  
  .dialogContent .link{
      font-size:14px;
  }
  #divResult {
    z-index: 10040;
    position: absolute;
    height: 200px;
    padding: 5px;
    border: 1px solid grey;
    border-radius: 6px 6px 6px 6px;
    overflow: auto;
    background: none repeat scroll 0 0 white;
}

#divResult ul {
    text-align: left;
}

.centerContainer {
    min-height: 70vh;
    width:80%;
    margin: auto;
}

.richtTextBox .tool{
    background-color:   #bebebe;
    text-align: left;
   
}

.richtTextBox .tool i{
    cursor:pointer;
     color:white;
     margin:5px;
} 

.fa-plus{
    cursor:pointer;
}

.center{
    text-align:center;
}

.alignRight{
    text-align:right;
}

date-box {
    display: inline-block;
    position: relative;
  }
  date-box input{
    height: 34px;
    padding: 6px 12px;
    border: 1px solid #CFD8DC;
    border-radius: 4px;
      
  }

  date-box input {
    padding: 8px;
    font-size: 14px;
    width: 140px;
  }

  date-box .calendar {
    display: none;
    position: absolute;
    top: 110%;
    left: 0;
    background: white;
    border: 1px solid #ccc;
    padding: 8px;
    border-radius: 6px;
    box-shadow: 0 2px 5px rgba(0,0,0,0.15);
    z-index: 100;
  }

  date-box table {
    border-collapse: collapse;
    width: 100%;
    text-align: center;
    margin-top:50px;
  }

  date-box th {
    color: #555;
    font-size: 12px;
  }

  date-box td {
    cursor: pointer;
    padding: 4px;
  }

  date-box td:hover {
    background: #eee;
    border-radius: 4px;
  }

  date-box .header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 4px;
    position: absolute;
  }

  date-box button {
    background: none;
    border: none;
    cursor: pointer;
    font-weight: bold;
    font-size: 16px;
  }
  
  
  time-box {
  display: inline-block;
  position: relative;
  font-family: sans-serif;
}

time-box input {
  padding: 8px;
  font-size: 14px;
  width: 100px;
  cursor: pointer;
}

time-box input {
    padding: 8px;
    font-size: 14px;
    width: 140px;
  }

time-box .time-picker {
  display: none; /* caché par défaut */
  position: absolute;
  top: 110%;
  left: 0;
  background: white;
  border: 1px solid #ccc;
  border-radius: 6px;
  box-shadow: 0 2px 6px rgba(0,0,0,0.2);
  padding: 8px;
  z-index: 100;
}

time-box .time-picker div.selects {
  display: flex;
  gap: 4px;
  align-items: center;
  margin-bottom: 4px;
}

time-box .time-picker select {
  font-size: 14px;
  padding: 4px;
}

time-box .time-picker button {
  width: 100%;
  padding: 4px;
  border: none;
  background-color: #0078D4;
  color: white;
  border-radius: 4px;
  cursor: pointer;
}

time-box .time-picker button:hover {
  background-color: #005fa3;
}